# JacocoPluginExtension

API Documentation: | `JacocoPluginExtension`

Extension including common properties and methods for Jacoco.

### Properties

Property | Description
`reportsDirectory` | The directory where reports will be generated.
`toolVersion` | Version of Jacoco JARs to use.

### Methods

Method | Description
`applyTo(task)` | Applies Jacoco to the given task. Configuration options will be provided on a task extension named 'jacoco'. Jacoco will be run as an agent during the execution of the task.
`applyTo(tasks)` | Applies Jacoco to all of the given tasks.

### Script blocks

No script blocks

### Property details

#### `DirectoryProperty` `reportsDirectory`

The directory where reports will be generated.

Default:
  ``${project.reporting.baseDir}`/jacoco`

#### `String` `toolVersion`

Version of Jacoco JARs to use.

Default:
  `0.8.8`

### Method details

#### `void` `applyTo`(`T` task)

Applies Jacoco to the given task. Configuration options will be provided on a task extension named 'jacoco'. Jacoco will be run as an agent during the execution of the task.

#### `void` `applyTo`(``TaskCollection`<`T`>` tasks)

Applies Jacoco to all of the given tasks.